# amm/quotes

### Request

#### Method:&#x20;

`GET ./api/v2/pumpfun/amm/quotes`

#### Parameters:

<table><thead><tr><th width="196.71896910191123">Parameter</th><th width="92">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>inToken</code></td><td>string</td><td>Address of the swap-in token.</td></tr><tr><td><code>inAmount</code></td><td>double</td><td>The amount of token wants to be swapped from.</td></tr><tr><td><code>outToken</code></td><td>string</td><td>Address of the swap-out token.</td></tr><tr><td><code>pool</code></td><td>string</td><td>Specify exact which liquidity pool wants to interact with. </td></tr><tr><td><code>slippage</code></td><td>double</td><td>The maximum slippage tolerance in percentage.</td></tr></tbody></table>

#### Request example:

{% tabs %}
{% tab title="HTTP" %}

```bash
curl --location 'https://pump-ny.solana.dex.blxrbdn.com/api/v2/pumpfun/amm/quotes' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: $AUTH_HEADER' \
--data '{
  "inToken": "So11111111111111111111111111111111111111112",
  "inAmount": 0.01,
  "outToken": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "pool": "Gf7sXMoP8iRw4iiXmJ1nq4vxcRycbGXy5RL8a8LnTd3v",
  "slippage": 1
}'
```

{% endtab %}
{% endtabs %}

### Response:

#### Fields: <a href="#fields" id="fields"></a>

<table><thead><tr><th width="156.2619698468357">Field</th><th width="132.03125">Type</th><th width="457.76103551319363">Description</th></tr></thead><tbody><tr><td><code>quoteType</code></td><td>string</td><td>The type of the swap, which is either a 'BUY' or a 'SELL'. </td></tr><tr><td><code>inToken</code></td><td>string</td><td>Address of the swap-in token.</td></tr><tr><td><code>inAmount</code></td><td>double</td><td>The amount of token wanted to be swapped from.</td></tr><tr><td><code>outToken</code></td><td>string</td><td>Address of the swap-out token.</td></tr><tr><td><code>outAmount</code></td><td>string</td><td>The amount of token expected to be received. </td></tr></tbody></table>

Response Example:

{% tabs %}
{% tab title="JSON" %}

```json
{
    "quoteType":"BUY", 
    "inToken":"So11111111111111111111111111111111111111112", 
    "inAmount":0.0101, 
    "outToken":"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", 
    "outAmount":1.740342
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/amm-quotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
